package routers

import (
	"eta_gn/eta_task/controllers"
	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/v1",
		web.NSNamespace("/data",
			web.NSInclude(
				&controllers.DataInitController{},
			),
		),
	)
	web.AddNamespace(ns)
}
